<?php

namespace App\Modules\GroupProvider\Application\UpdateStatus;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateStatusGroupProviderQuery implements Query
{
    public function __construct(
        private int $id,
        private int $mediaStatus
    ) {
    }

    public function id(): int
    {
        return $this->id;
    }

    public function mediaStatus(): int
    {
        return $this->mediaStatus;
    }
}
